> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qfex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Candles

> Return OHLCV candles for a symbol over a time range.



## OpenAPI

````yaml /api-reference/openapi.yaml get /candles/{symbol}
openapi: 3.1.0
info:
  contact:
    email: support@qfex.com
    name: QFEX Support
  description: REST API for QFEX
  license:
    name: QFEX License
    url: https://qfex.com/license
  title: QFEX REST API
  version: 0.1.0
servers:
  - description: Production server
    url: https://api.qfex.com
security: []
paths:
  /candles/{symbol}:
    get:
      tags:
        - market-data
      summary: Candles
      description: Return OHLCV candles for a symbol over a time range.
      operationId: read-candles
      parameters:
        - in: path
          name: symbol
          required: true
          schema:
            type: string
        - explode: false
          in: query
          name: resolution
          required: true
          schema:
            type: string
        - explode: false
          in: query
          name: fromISO
          required: true
          schema:
            type: string
        - explode: false
          in: query
          name: toISO
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CandlesResponseBody'
          description: OK
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Error
      security: []
components:
  schemas:
    CandlesResponseBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.qfex.com/schemas/CandlesResponseBody.json
          format: uri
          readOnly: true
          type: string
        candles:
          items:
            $ref: '#/components/schemas/Candle'
          type:
            - array
            - 'null'
      required:
        - candles
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.qfex.com/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    Candle:
      additionalProperties: false
      properties:
        baseTokenVolume:
          type: string
        close:
          type: string
        high:
          type: string
        low:
          type: string
        open:
          type: string
        orderbookMidPriceClose:
          type: string
        orderbookMidPriceOpen:
          type: string
        resolution:
          type: string
        startedAt:
          type: string
        startingOpenInterest:
          type: string
        ticker:
          type: string
        trades:
          format: int64
          minimum: 0
          type: integer
        usdVolume:
          type: string
      required:
        - startedAt
        - ticker
        - resolution
        - low
        - high
        - open
        - close
        - baseTokenVolume
        - usdVolume
        - trades
        - startingOpenInterest
        - orderbookMidPriceOpen
        - orderbookMidPriceClose
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object

````